$image-min-width: 1000;

$bo-pink: rgba(204, 24, 128, 1);
$bo-white: #FFFFFF;
$bo-blue-1: #0098CA;
$bo-dark-1: #32434C;
$bo-light-1: #E6E9EA;
$bo-light-2: #BAC3C7;

.fe {
	/* add this class manually to match backend-styles even when their styleRelevance is inactive */
}

.bo-meta-label {
	color: $bo-pink;
	font-size: 11px;
	text-align: center;
}

/* So that Multicolumn Column spans the whole width in a display: flex row */
.col > .wrpArticle { height: 100%; }
.col > .wrpArticle > .wrpCollection { height: 100%; }
.col > .wrpArticle > .wrpCollection.wrpParentEmpty > .wrpDropzone {
	height: 100%;
	min-height: 200px;
}

.b-mc-height-full {
	.d-cover {
		height: 100%;
	}
}

.bo-flex-spacer-parent {
	height: 100%;
	
	> .wrpCollection {
		@extend b-section/.s-column;
		height: 100%;
	}
	
	.wrpArticle.wrpSpacer {
		flex: 1 0 auto;
	}
}

.bo-brick-padding {
	padding-top: 10px;
	padding-bottom: 10px;
}

.bo-label { }

.bo-settings-list {
	list-style-type: none;
}

.bo-sl-item {
	display: inline-block;
	margin-right: 10px;
}

.bo-sl-label {
	line-height: 30px;
	margin-right: 10px;
	position: relative;
}

.bo-sl-option {
	margin-left: 20px;
}

.bo-sl-option-label {
	margin-left: 20px;
}

.bo-sl-option-radio {
	position: absolute;
	top: 50%;
	margin: 0;
	transform: translateY(-50%);
	height: 14px;
}

.bo-settings-color-list .bo-sl-option-radio {
	appearance: none;
	outline: none;
	
	border: 1px solid $bo-light-2;

	width: 14px;
	height: 14px;
}
	
.bo-settings-color-list .bo-sl-option-radio:checked:before {
	display: block;
	content: '';
	font-size: 0;
	border: 2px solid $bo-dark-1;
	width: 16px;
	height: 16px;
	margin: -4px;
	
	position: absolute;
}

.bo-sl-option- {
	background-linear-gradient: 45deg, $bo-dark-1 25%, $bo-light-1 25%, -45deg, $bo-dark-1 25%, $bo-light-1 25%, 45deg, $bo-light-1 75%, $bo-dark-1 75%, -45deg, $bo-light-1 75%, $bo-dark-1 75%;
	background-size: 20px 20px;
	background-position: 0 0, 0 10px, 10px -10px, -10px 0px;
}

label.checkbox-bo .pc3sne {
	float: right;
}

.bo-range-group {
	display: flex;
}

.bo-range-label {
	flex: 1 0 auto;
	text-align: right;
	margin-right: 10px;
	min-width: 50px;
}

.bo-text-preview-item {
	position: relative;
	margin-bottom: 10px;
	
	input {
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		margin: 0;
		vertical-align: middle;
		height: 14px;
	}
	
	span {
		margin-left: 20px;
	}
}